## python-vitrageclient 2.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
cliff!=2.9.0,>=2.8.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
iso8601>=0.1.11 # MIT

## python-vitrageclient 2.0.0

=== debian/changelog ===
python-vitrageclient (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #892365).

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 12 Mar 2018 11:02:34 +0100

=== debian/control ===
Source: python-vitrageclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 71),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.3),
Build-Depends-Indep:
 python3-babel,
 python3-cliff (>= 2.8.0),
 python3-coverage,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock,
 python3-openstackdocstheme (>= 1.17.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.log (>= 3.21.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-subunit,
 python3-testrepository,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.3
Homepage: https://github.com/openstack/python-vitrageclient.git
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-vitrageclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-vitrageclient

Package: python-vitrageclient-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack root cause analysis as a Service doc.
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the documentation.

Package: python3-vitrageclient
Section: python
Architecture: all
Depends:
 python3-babel,
 python3-cliff (>= 2.8.0),
 python3-iso8601,
 python3-keystoneauth1 (>= 3.3.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.log (>= 3.21.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack root cause analysis as a Service client.
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the Python 3.x module.

## python-vitrageclient 2.3.0

=== debian/changelog ===
python-vitrageclient (2.3.0-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 03 Aug 2018 19:45:30 +0000

python-vitrageclient (2.3.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/p/remove-privacy-breach-generic-lintian.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Aug 2018 14:44:23 -0400

python-vitrageclient (2.1.0-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/control, d/rules, d/python(3)-vitrageclient-p*: Add support for
    python-vitrageclient.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 13:58:24 -0400

=== debian/control ===
Source: python-vitrageclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 71),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.3),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-cliff (>= 2.8.0),
 python-coverage (>= 4.0),
 python-hacking (>= 0.12.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.3.0),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.18.1),
 python-osc-lib (>= 1.8.0),
 python-oslo.log (>= 3.21.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-reno (>= 2.5.0),
 python-subunit (>= 1.0.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.log (>= 3.21.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.3
Homepage: https://github.com/openstack/python-vitrageclient.git
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-vitrageclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-vitrageclient
Testsuite: autopkgtest-pkg-python

Package: python-vitrageclient-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack root cause analysis as a Service doc.
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the documentation.

Package: python-vitrageclient
Section: python
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-cliff (>= 2.8.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.3.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.log (>= 3.21.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack root cause analysis as a Service client - Python 2.7
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the Python 2.7 module.

Package: python3-vitrageclient
Section: python
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.3.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.log (>= 3.21.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack root cause analysis as a Service client - Python 3.x
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc


override_dh_auto_build:
	python setup.py build --force
	python3 setup.py build --force

override_dh_auto_install:
	pkgos-dh_auto_install
	
	# Generate bash completion
	pkgos-gen-completion --py3 vitrage

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_auto_clean:
	python setup.py clean
	python3 setup.py clean
	find . -iname '*.pyc' -delete
	rm -rf build
	rm -f ChangeLog AUTHORS

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-vitrageclient-doc/usr/share/doc/python-vitrageclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-vitrageclient 2.7.0

=== requirements.txt ===
--- 
+++ 
@@ -9,3 +9,5 @@
 oslo.utils>=3.33.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
+networkx>=2.0 # BSD
+pydot>=1.4.1 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.24.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-vitrageclient (2.7.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 13 Mar 2019 19:31:20 +0000

python-vitrageclient (2.7.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 14:40:36 -0400

python-vitrageclient (2.5.0-0ubuntu3) disco; urgency=medium

  * d/control: Add python(3)-pydotplus to (Build-)Depends as it is
    a suggested package for python(3)-networkx in bionic, enabling bionic
    cloud archive support.
  * d/control, d/p/skip-test_dot_emitter-for-cloud-archive.patch: Added
    patch to skip test_dot_emitter() on backport to cloud-archive.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Feb 2019 16:26:58 -0500

python-vitrageclient (2.5.0-0ubuntu2) disco; urgency=medium

  * d/control: Drop min version of python(3)-networkx, enabling cloud
    archive backports.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Feb 2019 11:14:48 -0500

python-vitrageclient (2.5.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 10:16:26 -0500

python-vitrageclient (2.4.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 15:09:39 -0500

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends:
  debhelper (>= 10~),
  dh-python,
+ lsb-release,
  openstack-pkg-tools (>= 71),
  python-all,
  python-pbr (>= 2.0.0),
@@ -16,20 +17,22 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.3),
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-babel (>= 2.3.4),
  python-cliff (>= 2.8.0),
  python-coverage (>= 4.0),
- python-hacking (>= 0.12.0),
+ python-hacking (>= 1.1.0),
  python-iso8601 (>= 0.1.11),
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-mock (>= 2.0.0),
- python-openstackdocstheme (>= 1.18.1),
+ python-networkx,
  python-osc-lib (>= 1.8.0),
  python-oslo.log (>= 3.21.0),
  python-oslo.utils (>= 3.33.0),
  python-oslotest (>= 1:3.2.0),
+ python-pydot (>= 1.4.1),
+ python-pydotplus,
  python-reno (>= 2.5.0),
  python-subunit (>= 1.0.0),
  python-testrepository (>= 0.0.18),
@@ -38,15 +41,18 @@
  python3-babel (>= 2.3.4),
  python3-cliff (>= 2.8.0),
  python3-coverage (>= 4.0),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-iso8601 (>= 0.1.11),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-mock (>= 2.0.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-networkx,
+ python3-openstackdocstheme (>= 1.24.0),
  python3-osc-lib (>= 1.8.0),
  python3-oslo.log (>= 3.21.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
+ python3-pydot (>= 1.4.1),
+ python3-pydotplus,
  python3-reno (>= 2.5.0),
  python3-subunit (>= 1.0.0),
  python3-testrepository (>= 0.0.18),
@@ -81,11 +87,14 @@
  python-babel (>= 2.3.4),
  python-cliff (>= 2.8.0),
  python-iso8601 (>= 0.1.11),
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
+ python-networkx,
  python-osc-lib (>= 1.8.0),
  python-oslo.log (>= 3.21.0),
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
+ python-pydot (>= 1.4.1),
+ python-pydotplus,
  ${misc:Depends},
  ${python:Depends},
 Description: OpenStack root cause analysis as a Service client - Python 2.7
@@ -103,11 +112,14 @@
  python3-babel (>= 2.3.4),
  python3-cliff (>= 2.8.0),
  python3-iso8601 (>= 0.1.11),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-networkx,
  python3-osc-lib (>= 1.8.0),
  python3-oslo.log (>= 3.21.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
+ python3-pydot (>= 1.4.1),
+ python3-pydotplus,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack root cause analysis as a Service client - Python 3.x

## python-vitrageclient 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -9,5 +9,6 @@
 oslo.utils>=3.33.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
-networkx>=2.0 # BSD
+networkx<2.3,>=2.0;python_version<'3.0'  # BSD
+networkx>=2.3;python_version>='3.4'  # BSD
 pydot>=1.4.1 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
openstackdocstheme>=1.24.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-vitrageclient (3.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:52:18 +0200

python-vitrageclient (3.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Note: current version needs networkx >= 2.3 which isn't available yet in
    Debian (bug filled).

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 09:34:46 +0200

python-vitrageclient (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:40:09 +0200

python-vitrageclient (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions when satisfied in Buster.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2019 22:31:28 +0100

python-vitrageclient (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 04 Sep 2018 22:37:30 +0200

python-vitrageclient (2.3.0-1) experimental; urgency=medium

  [ Michal Arbet ]
  * New upstream release.
  * d/control: Fix dependencies for new version
  * d/patches: Update remove-privacy-breach-generic-lintian.patch

  [  Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 21 Aug 2018 12:04:23 +0100

=== debian/control ===
Source: python-vitrageclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-cliff,
 python3-coverage,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-mock,
 python3-networkx,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-pydot,
 python3-reno,
 python3-subunit,
 python3-testrepository,
 python3-testscenarios,
 python3-testtools,
Standards-Version: 4.4.1
Homepage: https://github.com/openstack/python-vitrageclient.git
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-vitrageclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-vitrageclient

Package: python-vitrageclient-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack root cause analysis as a Service doc.
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the documentation.

Package: python3-vitrageclient
Section: python
Architecture: all
Depends:
 python3-babel,
 python3-cliff,
 python3-iso8601,
 python3-keystoneauth1,
 python3-networkx,
 python3-osc-lib,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-pydot,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack root cause analysis as a Service client.
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the Python 3.x module.

## python-vitrageclient 4.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.1.1 # Apache-2.0
Babel>=2.5.3 # BSD
cliff!=2.9.0,>=2.8.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
iso8601>=0.1.11 # MIT
networkx>=2.3 # BSD
pydot>=1.4.1 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2  # BSD
openstackdocstheme>=1.24.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-vitrageclient (4.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/p/disable-install-bash-completion-from-git.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:33:53 -0400

python-vitrageclient (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:36:44 -0400

python-vitrageclient (3.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:38:36 +0100

python-vitrageclient (2.7.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules, d/python(3)-*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Jul 2019 14:17:20 -0400

=== debian/control ===
Source: python-vitrageclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 lsb-release,
 openstack-pkg-tools (>= 71),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel (>= 2.5.3),
 python3-cliff (>= 2.8.0),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-networkx (>= 2.3),
 python3-openstackdocstheme (>= 1.24.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.log (>= 3.21.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pydot (>= 1.4.1),
 python3-pydotplus,
 python3-reno (>= 2.5.0),
 python3-subunit (>= 1.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.3.0),
Standards-Version: 4.1.3
Homepage: https://github.com/openstack/python-vitrageclient.git
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-vitrageclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-vitrageclient
Testsuite: autopkgtest-pkg-python

Package: python-vitrageclient-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack root cause analysis as a Service doc.
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the documentation.

Package: python3-vitrageclient
Section: python
Architecture: all
Depends:
 python3-babel (>= 2.5.3),
 python3-cliff (>= 2.8.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-networkx (>= 2.3),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.log (>= 3.21.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 3.1.1),
 python3-pydot (>= 1.4.1),
 python3-pydotplus,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack root cause analysis as a Service client - Python 3.x
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the Python 3.x module.

## python-vitrageclient 4.1.1

=== debian/changelog ===
python-vitrageclient (4.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 17:34:05 +0200

python-vitrageclient (4.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:19:33 +0200

python-vitrageclient (4.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:51:53 +0200

python-vitrageclient (4.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased disable-install-bash-completion-from-git.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2020 17:36:12 +0200

=== debian/control ===
Source: python-vitrageclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-networkx (>= 2.3),
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-pydot,
 python3-reno,
 python3-subunit,
 python3-testrepository,
 python3-testscenarios,
 python3-testtools,
Standards-Version: 4.4.1
Homepage: https://github.com/openstack/python-vitrageclient.git
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-vitrageclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-vitrageclient

Package: python-vitrageclient-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack root cause analysis as a Service doc.
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the documentation.

Package: python3-vitrageclient
Section: python
Architecture: all
Depends:
 python3-cliff,
 python3-iso8601,
 python3-keystoneauth1,
 python3-networkx (>= 2.3),
 python3-osc-lib,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-pydot,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack root cause analysis as a Service client.
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,14 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 
 override_dh_auto_build:
-	python setup.py build --force
 	python3 setup.py build --force
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 	
 	# Generate bash completion
 	pkgos-gen-completion --py3 vitrage
@@ -21,11 +20,10 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_auto_clean:
-	python setup.py clean
 	python3 setup.py clean
 	find . -iname '*.pyc' -delete
 	rm -rf build

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-vitrageclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-vitrageclient 4.3.0

=== debian/changelog ===
python-vitrageclient (4.3.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 00:44:24 +0000

python-vitrageclient (4.3.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 10:45:12 -0400

python-vitrageclient (4.2.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/p/skip-test_dot_emitter-for-cloud-archive.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 15:30:57 +0000

python-vitrageclient (4.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 16:38:10 -0400

python-vitrageclient (4.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 12:00:59 +0000

=== debian/control ===
Source: python-vitrageclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 lsb-release,
 openstack-pkg-tools (>= 71),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-cliff (>= 2.8.0),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-networkx (>= 2.3),
 python3-openstackdocstheme (>= 2.2.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.log (>= 3.21.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pydot (>= 1.4.1),
 python3-pydotplus,
 python3-reno (>= 2.11.2),
 python3-subunit (>= 1.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.3.0),
Standards-Version: 4.1.3
Homepage: https://github.com/openstack/python-vitrageclient.git
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-vitrageclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-vitrageclient
Testsuite: autopkgtest-pkg-python

Package: python-vitrageclient-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack root cause analysis as a Service doc.
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the documentation.

Package: python3-vitrageclient
Section: python
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-networkx (>= 2.3),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.log (>= 3.21.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 3.1.1),
 python3-pydot (>= 1.4.1),
 python3-pydotplus,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack root cause analysis as a Service client - Python 3.x
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the Python 3.x module.

## python-vitrageclient 4.4.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=3.1.1 # Apache-2.0
-Babel>=2.5.3 # BSD
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-vitrageclient (4.4.0-0ubuntu2) jammy; urgency=medium

  * d/control: Drop python3-pydot(plus) Depends as they are Suggests
    dependencies of networkx.
  * d/p/drop-pydot.patch: Drop python3-pydot from requirements.txt.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jan 2022 14:32:00 -0500

python-vitrageclient (4.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Bump debhelper compat to 13 and switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 16:06:17 -0500

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 13),
  dh-python,
  lsb-release,
- openstack-pkg-tools (>= 71),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 3.1.1),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-cliff (>= 2.8.0),
- python3-hacking (>= 1.1.0),
+ python3-coverage,
+ python3-hacking,
  python3-iso8601 (>= 0.1.11),
  python3-keystoneauth1 (>= 3.4.0),
  python3-mock (>= 2.0.0),
@@ -29,7 +30,7 @@
  python3-oslotest (>= 1:3.3.0),
  python3-pydot (>= 1.4.1),
  python3-pydotplus,
- python3-reno (>= 2.11.2),
+ python3-stestr (>= 2.0.0),
  python3-subunit (>= 1.2.0),
  python3-testrepository (>= 0.0.18),
  python3-testscenarios (>= 0.5.0),
@@ -68,8 +69,6 @@
  python3-oslo.log (>= 3.21.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 3.1.1),
- python3-pydot (>= 1.4.1),
- python3-pydotplus,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack root cause analysis as a Service client - Python 3.x

## python-vitrageclient 4.6.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix. 
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
python-vitrageclient (4.6.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 09 Sep 2022 02:26:18 +0000

python-vitrageclient (4.6.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:45:20 -0400

python-vitrageclient (4.5.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 17:10:05 -0400

=== debian/control ===
--- 
+++ 
@@ -35,10 +35,9 @@
  python3-testrepository (>= 0.0.18),
  python3-testscenarios (>= 0.5.0),
  python3-testtools (>= 2.3.0),
-Standards-Version: 4.1.3
-Homepage: https://github.com/openstack/python-vitrageclient.git
+Standards-Version: 4.6.1
+Homepage: https://opendev.org/openstack/python-vitrageclient.git
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-vitrageclient
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-vitrageclient
 Testsuite: autopkgtest-pkg-python
 
 Package: python-vitrageclient-doc

## python-vitrageclient 4.7.0

=== debian/changelog ===
python-vitrageclient (4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:29:19 +0200

python-vitrageclient (4.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:27:23 +0100

python-vitrageclient (4.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:46:29 +0200

python-vitrageclient (4.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 13:17:40 +0200

python-vitrageclient (4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 11:58:28 +0100

python-vitrageclient (4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Feb 2022 16:03:16 +0100

python-vitrageclient (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:55:27 +0200

python-vitrageclient (4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch to subunit+stestr.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Sep 2021 13:05:06 +0200

python-vitrageclient (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Debhelper 11.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 15:51:21 +0100

## python-vitrageclient 4.8.0

=== debian/changelog ===
python-vitrageclient (4.8.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Sep 2023 22:36:55 +0000

python-vitrageclient (4.8.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:32:37 -0400

python-vitrageclient (4.7.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/p/skip-test_dot_emitter-for-cloud-archive.patch: Dropped. No
    longer needed.
  * d/control: Drop lsb-release BD. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Feb 2023 13:46:44 -0500

## python-vitrageclient 4.8.1

=== debian/changelog ===
python-vitrageclient (4.8.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 14:07:20 +0000

python-vitrageclient (4.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 17:22:04 +0200

python-vitrageclient (4.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 11:05:26 +0200

=== debian/control ===
Source: python-vitrageclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-networkx,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-pydot,
 python3-reno,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 python3-stestr,
 subunit,
Standards-Version: 4.5.1
Homepage: https://github.com/openstack/python-vitrageclient.git
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-vitrageclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-vitrageclient

Package: python-vitrageclient-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack root cause analysis as a Service doc.
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the documentation.

Package: python3-vitrageclient
Section: python
Architecture: all
Depends:
 python3-cliff,
 python3-iso8601,
 python3-keystoneauth1,
 python3-networkx,
 python3-osc-lib,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-pydot,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack root cause analysis as a Service client.
 Vitrage is the OpenStack RCA (Root Cause Analysis) Service for
 organizing, analyzing and expanding OpenStack alarms & events,
 yielding insights regarding the root cause of problems and deducing
 the existence of problems before they are directly detected.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,10 @@
 override_dh_auto_clean:
 	python3 setup.py clean
 	find . -iname '*.pyc' -delete
-	rm -rf build
 	rm -f ChangeLog AUTHORS
+	rm -rf doc/build build .stestr *.egg-info doc/source/api doc/source/contributor/api
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

## python-vitrageclient 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -14,3 +14,4 @@
 iso8601>=0.1.11 # MIT
 networkx>=2.3 # BSD
 pydot>=1.4.1 # BSD
+oslo.log>=4.4.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-vitrageclient (5.0.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2024 14:59:57 +0000

python-vitrageclient (5.0.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 13:13:48 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=vitrageclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc


override_dh_auto_build:
	python3 setup.py build --force

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	
	# Generate bash completion
	pkgos-gen-completion --py3 vitrage

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	python3 setup.py clean
	find . -iname '*.pyc' -delete
	rm -rf build
	rm -f ChangeLog AUTHORS

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-vitrageclient-doc/usr/share/doc/python-vitrageclient-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## python-vitrageclient 5.1.1

=== debian/changelog ===
python-vitrageclient (5.1.1-4) unstable; urgency=medium

  * Upgrade -doc to bootstrap 5 (Closes: #1088511).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 11:56:06 +0100

python-vitrageclient (5.1.1-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090631).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:01:52 +0100

python-vitrageclient (5.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:56:12 +0200

python-vitrageclient (5.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Blacklist TopologyShowTest.test_dot_emitter, see:
    https://bugs.launchpad.net/python-vitrageclient/+bug/2078682.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2024 11:58:14 +0200

python-vitrageclient (5.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed support-networkx-3.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 10:29:54 +0200

python-vitrageclient (5.0.0-3) unstable; urgency=medium

  * Add support-networkx-3.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 May 2024 13:59:46 +0200

python-vitrageclient (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:48:34 +0200

python-vitrageclient (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 21:42:33 +0100

## python-vitrageclient 5.2.0

=== debian/changelog ===
python-vitrageclient (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 12:47:51 +0100

python-vitrageclient (5.2.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 12:21:38 +0100

## python-vitrageclient 5.3.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=3.1.1 # Apache-2.0
cliff!=2.9.0,>=2.8.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
iso8601>=0.1.11 # MIT
networkx>=2.3 # BSD
pydot>=1.4.1 # BSD
oslo.log>=4.4.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-vitrageclient (5.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:59:30 +0200

python-vitrageclient (5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2025 18:41:07 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
+ python3-attr,
  python3-cliff,
  python3-coverage,
  python3-hacking,
@@ -41,7 +42,7 @@
 Section: doc
 Architecture: all
 Depends:
- libjs-bootstrap,
+ libjs-bootstrap5,
  libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=vitrageclient
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
@@ -22,14 +20,17 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	# https://bugs.launchpad.net/python-vitrageclient/+bug/2078682
+	pkgos-dh_auto_test --no-py2 'vitrageclient\.tests\.(?!cli.test_topology_show\.TopologyShowTest\.test_dot_emitter)'
 endif
 
 override_dh_auto_clean:
 	python3 setup.py clean
 	find . -iname '*.pyc' -delete
-	rm -rf build
 	rm -f ChangeLog AUTHORS
+	rm -rf doc/build build .stestr *.egg-info doc/source/api doc/source/contributor/api
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-vitrageclient refs/tags/(\d[brc\d\.]+)

## python-vitrageclient 5.4.0

=== debian/changelog ===
python-vitrageclient (5.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 19:18:11 +0100
